> For the complete documentation index, see [llms.txt](https://docs.emsigner.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emsigner.com/apis/api-reference/templates-and-web-forms/web-form-analytics.md).

# Web Form Analytics

## POST /api/Public/WebFormAnalytics/track

> Track

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"WebFormAnalytics"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.WebFormAnalyticsEventDto":{"type":"object","properties":{"templateId":{"type":"integer","format":"int32"},"parentId":{"type":"integer","format":"int32"},"eventType":{"type":"string","nullable":true},"userEmail":{"type":"string","nullable":true},"clientIp":{"type":"string","nullable":true},"userAgent":{"type":"string","nullable":true},"eventData":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/WebFormAnalytics/track":{"post":{"tags":["WebFormAnalytics"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.WebFormAnalyticsEventDto"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{}}}}},"summary":"Track","operationId":"post_WebFormAnalytics_track"}}}}
```

## POST /api/Public/WebFormAnalytics/track-batch

> Track batch

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"WebFormAnalytics"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.WebFormAnalyticsEventDto":{"type":"object","properties":{"templateId":{"type":"integer","format":"int32"},"parentId":{"type":"integer","format":"int32"},"eventType":{"type":"string","nullable":true},"userEmail":{"type":"string","nullable":true},"clientIp":{"type":"string","nullable":true},"userAgent":{"type":"string","nullable":true},"eventData":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/WebFormAnalytics/track-batch":{"post":{"tags":["WebFormAnalytics"],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.WebFormAnalyticsEventDto"}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{}}}}},"summary":"Track batch","operationId":"post_WebFormAnalytics_track_batch"}}}}
```

## POST /api/Public/WebFormAnalytics/summary

> Summary

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"WebFormAnalytics"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.WebFormAnalyticsQueryDto":{"type":"object","properties":{"templateId":{"type":"integer","format":"int32"},"parentId":{"type":"integer","format":"int32"},"from":{"type":"string","format":"date-time"},"to":{"type":"string","format":"date-time"},"groupBy":{"type":"string","nullable":true},"limit":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false},"emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.CoreApi.Public.Controllers.WebFormAnalyticsSummaryDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"messages":{"type":"array","items":{"type":"string"},"nullable":true},"errorCode":{"type":"integer","format":"int32"},"errorKey":{"type":"string","nullable":true},"response":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.WebFormAnalyticsSummaryDto"}},"additionalProperties":false},"emSignerCoreAPI.CoreApi.Public.Controllers.WebFormAnalyticsSummaryDto":{"type":"object","properties":{"templateId":{"type":"integer","format":"int32"},"formTitle":{"type":"string","nullable":true},"totalViews":{"type":"integer","format":"int32"},"uniqueVisitors":{"type":"integer","format":"int32"},"totalSubmissions":{"type":"integer","format":"int32"},"draftsSaved":{"type":"integer","format":"int32"},"draftsAbandoned":{"type":"integer","format":"int32"},"avgCompletionTimeMinutes":{"type":"number","format":"double"},"submissionRate":{"type":"number","format":"double"},"failedLogins":{"type":"integer","format":"int32"},"successfulLogins":{"type":"integer","format":"int32"},"expiredAccessAttempts":{"type":"integer","format":"int32"},"unauthorizedAttempts":{"type":"integer","format":"int32"},"fromDate":{"type":"string","format":"date-time"},"toDate":{"type":"string","format":"date-time"}},"additionalProperties":false},"emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Object, System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"messages":{"type":"array","items":{"type":"string"},"nullable":true},"errorCode":{"type":"integer","format":"int32"},"errorKey":{"type":"string","nullable":true},"response":{"nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/WebFormAnalytics/summary":{"post":{"tags":["WebFormAnalytics"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.WebFormAnalyticsQueryDto"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.CoreApi.Public.Controllers.WebFormAnalyticsSummaryDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Object, System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Object, System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]"}}}}},"summary":"Summary","operationId":"post_WebFormAnalytics_summary"}}}}
```

## POST /api/Public/WebFormAnalytics/trends

> Trends

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"WebFormAnalytics"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.WebFormAnalyticsQueryDto":{"type":"object","properties":{"templateId":{"type":"integer","format":"int32"},"parentId":{"type":"integer","format":"int32"},"from":{"type":"string","format":"date-time"},"to":{"type":"string","format":"date-time"},"groupBy":{"type":"string","nullable":true},"limit":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false},"emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.CoreApi.Public.Controllers.WebFormTrendDataDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"messages":{"type":"array","items":{"type":"string"},"nullable":true},"errorCode":{"type":"integer","format":"int32"},"errorKey":{"type":"string","nullable":true},"response":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.WebFormTrendDataDto"}},"additionalProperties":false},"emSignerCoreAPI.CoreApi.Public.Controllers.WebFormTrendDataDto":{"type":"object","properties":{"labels":{"type":"array","items":{"type":"string"},"nullable":true},"views":{"type":"array","items":{"type":"integer","format":"int32"},"nullable":true},"submissions":{"type":"array","items":{"type":"integer","format":"int32"},"nullable":true},"drafts":{"type":"array","items":{"type":"integer","format":"int32"},"nullable":true}},"additionalProperties":false},"emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Object, System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"messages":{"type":"array","items":{"type":"string"},"nullable":true},"errorCode":{"type":"integer","format":"int32"},"errorKey":{"type":"string","nullable":true},"response":{"nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/WebFormAnalytics/trends":{"post":{"tags":["WebFormAnalytics"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.WebFormAnalyticsQueryDto"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.CoreApi.Public.Controllers.WebFormTrendDataDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Object, System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Object, System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]"}}}}},"summary":"Trends","operationId":"post_WebFormAnalytics_trends"}}}}
```

## POST /api/Public/WebFormAnalytics/funnel

> Funnel

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"WebFormAnalytics"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.WebFormAnalyticsQueryDto":{"type":"object","properties":{"templateId":{"type":"integer","format":"int32"},"parentId":{"type":"integer","format":"int32"},"from":{"type":"string","format":"date-time"},"to":{"type":"string","format":"date-time"},"groupBy":{"type":"string","nullable":true},"limit":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false},"emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.CoreApi.Public.Controllers.WebFormConversionFunnelDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"messages":{"type":"array","items":{"type":"string"},"nullable":true},"errorCode":{"type":"integer","format":"int32"},"errorKey":{"type":"string","nullable":true},"response":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.WebFormConversionFunnelDto"}},"additionalProperties":false},"emSignerCoreAPI.CoreApi.Public.Controllers.WebFormConversionFunnelDto":{"type":"object","properties":{"totalViews":{"type":"integer","format":"int32"},"authenticated":{"type":"integer","format":"int32"},"draftsSaved":{"type":"integer","format":"int32"},"submitted":{"type":"integer","format":"int32"},"authRate":{"type":"number","format":"double","readOnly":true},"draftRate":{"type":"number","format":"double","readOnly":true},"submitRate":{"type":"number","format":"double","readOnly":true}},"additionalProperties":false},"emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Object, System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"messages":{"type":"array","items":{"type":"string"},"nullable":true},"errorCode":{"type":"integer","format":"int32"},"errorKey":{"type":"string","nullable":true},"response":{"nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/WebFormAnalytics/funnel":{"post":{"tags":["WebFormAnalytics"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.WebFormAnalyticsQueryDto"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.CoreApi.Public.Controllers.WebFormConversionFunnelDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Object, System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Object, System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]"}}}}},"summary":"Funnel","operationId":"post_WebFormAnalytics_funnel"}}}}
```

## POST /api/Public/WebFormAnalytics/auth-distribution

> Auth distribution

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"WebFormAnalytics"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.WebFormAnalyticsQueryDto":{"type":"object","properties":{"templateId":{"type":"integer","format":"int32"},"parentId":{"type":"integer","format":"int32"},"from":{"type":"string","format":"date-time"},"to":{"type":"string","format":"date-time"},"groupBy":{"type":"string","nullable":true},"limit":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false},"emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.CoreApi.Public.Controllers.WebFormAuthDistributionDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"messages":{"type":"array","items":{"type":"string"},"nullable":true},"errorCode":{"type":"integer","format":"int32"},"errorKey":{"type":"string","nullable":true},"response":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.WebFormAuthDistributionDto"}},"additionalProperties":false},"emSignerCoreAPI.CoreApi.Public.Controllers.WebFormAuthDistributionDto":{"type":"object","properties":{"passwordLogins":{"type":"integer","format":"int32"},"oAuthLogins":{"type":"integer","format":"int32"},"publicAccess":{"type":"integer","format":"int32"}},"additionalProperties":false},"emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Object, System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"messages":{"type":"array","items":{"type":"string"},"nullable":true},"errorCode":{"type":"integer","format":"int32"},"errorKey":{"type":"string","nullable":true},"response":{"nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/WebFormAnalytics/auth-distribution":{"post":{"tags":["WebFormAnalytics"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.WebFormAnalyticsQueryDto"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.CoreApi.Public.Controllers.WebFormAuthDistributionDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Object, System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Object, System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]"}}}}},"summary":"Auth distribution","operationId":"post_WebFormAnalytics_auth_distribution"}}}}
```

## POST /api/Public/WebFormAnalytics/hourly-activity

> Hourly activity

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"WebFormAnalytics"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.WebFormAnalyticsQueryDto":{"type":"object","properties":{"templateId":{"type":"integer","format":"int32"},"parentId":{"type":"integer","format":"int32"},"from":{"type":"string","format":"date-time"},"to":{"type":"string","format":"date-time"},"groupBy":{"type":"string","nullable":true},"limit":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false},"emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Collections.Generic.List`1[[emSignerCoreAPI.CoreApi.Public.Controllers.WebFormHourlyActivityDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]], System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"messages":{"type":"array","items":{"type":"string"},"nullable":true},"errorCode":{"type":"integer","format":"int32"},"errorKey":{"type":"string","nullable":true},"response":{"type":"array","items":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.WebFormHourlyActivityDto"},"nullable":true}},"additionalProperties":false},"emSignerCoreAPI.CoreApi.Public.Controllers.WebFormHourlyActivityDto":{"type":"object","properties":{"dayOfWeek":{"type":"integer","format":"int32"},"hour":{"type":"integer","format":"int32"},"count":{"type":"integer","format":"int32"}},"additionalProperties":false},"emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Object, System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"messages":{"type":"array","items":{"type":"string"},"nullable":true},"errorCode":{"type":"integer","format":"int32"},"errorKey":{"type":"string","nullable":true},"response":{"nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/WebFormAnalytics/hourly-activity":{"post":{"tags":["WebFormAnalytics"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.WebFormAnalyticsQueryDto"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Collections.Generic.List`1[[emSignerCoreAPI.CoreApi.Public.Controllers.WebFormHourlyActivityDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]], System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Object, System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Object, System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]"}}}}},"summary":"Hourly activity","operationId":"post_WebFormAnalytics_hourly_activity"}}}}
```

## POST /api/Public/WebFormAnalytics/recent-activity

> Recent activity

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"WebFormAnalytics"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.WebFormAnalyticsQueryDto":{"type":"object","properties":{"templateId":{"type":"integer","format":"int32"},"parentId":{"type":"integer","format":"int32"},"from":{"type":"string","format":"date-time"},"to":{"type":"string","format":"date-time"},"groupBy":{"type":"string","nullable":true},"limit":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false},"emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Collections.Generic.List`1[[emSignerCoreAPI.CoreApi.Public.Controllers.WebFormRecentActivityDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]], System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"messages":{"type":"array","items":{"type":"string"},"nullable":true},"errorCode":{"type":"integer","format":"int32"},"errorKey":{"type":"string","nullable":true},"response":{"type":"array","items":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.WebFormRecentActivityDto"},"nullable":true}},"additionalProperties":false},"emSignerCoreAPI.CoreApi.Public.Controllers.WebFormRecentActivityDto":{"type":"object","properties":{"eventType":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"userEmail":{"type":"string","nullable":true},"clientIp":{"type":"string","nullable":true},"timestamp":{"type":"string","nullable":true}},"additionalProperties":false},"emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Object, System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"messages":{"type":"array","items":{"type":"string"},"nullable":true},"errorCode":{"type":"integer","format":"int32"},"errorKey":{"type":"string","nullable":true},"response":{"nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/WebFormAnalytics/recent-activity":{"post":{"tags":["WebFormAnalytics"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.WebFormAnalyticsQueryDto"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Collections.Generic.List`1[[emSignerCoreAPI.CoreApi.Public.Controllers.WebFormRecentActivityDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]], System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Object, System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Object, System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]"}}}}},"summary":"Recent activity","operationId":"post_WebFormAnalytics_recent_activity"}}}}
```

## POST /api/Public/WebFormAnalytics/templates

> Templates

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"WebFormAnalytics"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.WebFormTemplatesQueryDto":{"type":"object","properties":{"parentId":{"type":"integer","format":"int32"}},"additionalProperties":false},"emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Collections.Generic.List`1[[emSignerCoreAPI.CoreApi.Public.Controllers.WebFormTemplateDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]], System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"messages":{"type":"array","items":{"type":"string"},"nullable":true},"errorCode":{"type":"integer","format":"int32"},"errorKey":{"type":"string","nullable":true},"response":{"type":"array","items":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.WebFormTemplateDto"},"nullable":true}},"additionalProperties":false},"emSignerCoreAPI.CoreApi.Public.Controllers.WebFormTemplateDto":{"type":"object","properties":{"templateId":{"type":"integer","format":"int32"},"templateName":{"type":"string","nullable":true},"eventCount":{"type":"integer","format":"int32"},"lastActivity":{"type":"string","nullable":true}},"additionalProperties":false},"emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Object, System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"messages":{"type":"array","items":{"type":"string"},"nullable":true},"errorCode":{"type":"integer","format":"int32"},"errorKey":{"type":"string","nullable":true},"response":{"nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/WebFormAnalytics/templates":{"post":{"tags":["WebFormAnalytics"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.WebFormTemplatesQueryDto"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Collections.Generic.List`1[[emSignerCoreAPI.CoreApi.Public.Controllers.WebFormTemplateDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]], System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Object, System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Object, System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]"}}}}},"summary":"Templates","operationId":"post_WebFormAnalytics_templates"}}}}
```
